Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.util
Class SwapVals

    java.lang.Object
      org.exist.util.SwapVals

public final class SwapVals
extends java.lang.Object

This class only contains static methods which help when the values of two positions in a array or list-like structure must be swapped. Based on previous implementations found in eXist FastQSort original code and internet

Constructor Summary
`SwapVals()`

Method Summary
`static void` | `swap(java.lang.Comparable[] a, int i, int j)`
`static void` | `swap(java.util.List a, int i, int j)`
`static void` | `swap(long[] a, int i, int j)`
`static void` | `swap(java.lang.Object[] a, int i, int j)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SwapVals

    public SwapVals()

Method Detail

### swap

    public static final void swap(long[] a,
                                  int i,
                                  int j)

### swap

    public static final void swap(java.lang.Object[] a,
                                  int i,
                                  int j)

### swap

    public static final void swap(java.util.List a,
                                  int i,
                                  int j)

### swap

    public static final void swap(java.lang.Comparable[] a,
                                  int i,
                                  int j)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.